1. Card Payments
  • Developer Docs Ecuador 🇪🇨
  • Online Payments
    • Release Notes
    • Card Payments
      • Request a card token
        POST
      • Make a charge or deferred charge
        POST
      • Refund a transaction
        DELETE
      • Void a transaction
        DELETE
      • Request deferred options
        GET
      • Validate OTP
        POST
      • Bin Info V2
        GET
      • Bin Info
        GET
    • One Click and Scheduled Payments
      • Request a recurring charge token
      • Create a recurring charge
      • Update recurring charge card data
      • Make an One-click payment
      • Cancel a recurring charge
      • Update a recurring charge
      • Add a temporary charge or discount
      • Get recurring charge Info
    • Chargebacks
      • Query chargebacks
      • Request chargeback export
    • Subscription Transactions
      • Get subscription transactions
    • Transfer in
      • Request a Transfer In token
      • Init Transaction
      • Get Status
    • Cash in
      • Request a cash in token
      • Init Transaction
      • Update a cash in transaction
      • Transaction Status
      • Delete a cash in transaction
    • Smartlinks
      • Create a Smartlink
      • Update a Smartlink
      • Get a Smartlink
      • Delete a smartlink
    • Analytics
      • Get transactions list v1
      • Get transactions list v2
    • Status
      • Get gateway status
      • Get platform status
    • Commissions
      • Get Commission Configuration
    • Payment Credentials
      • Create a credential
      • Search credentials
      • Activate or deactivate
      • Delete credential
      • Update credential
      • Regenerate a credential
      • Advanced search
    • Payment Button
      • Create a payment button
    • Settlement
      • Query settlement
  • Appian - Submerchant Register
    • Submerchant Validation in Batch
    • Query submerchant status by requestId/submerchantId
    • Get submerchantIds
    • Get credentials for submerchants
  • Schemas
    • threeDomainSecure
    • webhooks
    • Card-old
    • Channel
    • Amount-cash-in
    • ChargebackListResponse
    • StatusComponent
    • SettlementDateRangeRequest
    • SubscriptionTransactionsResponse
    • Card
    • currency
    • networkToken
    • ChargebackItem
    • ErrorResponse
    • SettlementTicketRequest
    • SubscriptionTransaction
    • Subscription
    • Amount
    • ErrorResponse400
    • SettlementResponse
    • extraTaxes
    • Country
    • ErrorResponse401
    • SettlementRecord
    • Language
    • Deferred
    • ErrorResponse403
    • Metadata
    • payment_method
    • ErrorResponse500
    • ContactDetails
    • documentType
    • orderDetails
    • Shipping Address
    • Billing-Address
    • payment_submethod
    • SubscriptionUpdate
    • product
    • SubscriptionAdjustmentRequest
    • threeDomainSecure
    • webhooks
    • headers
    • webhooksChargeback
    • citMit
    • network
    • binInfo
    • messageFields
    • UnexpectedErrorResponse
    • ExternalReferenceId
    • transactionType
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨
Colombia 🇨🇴Chile 🇨🇱
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨
Colombia 🇨🇴Chile 🇨🇱
  1. Card Payments

Refund a transaction

DELETE
/v1/refund/{ticketNumber}
Refund a transaction identified by its ticketNumber. The ticketNumber is provided when a charge or a deferred charge is successful. Remember that the refund process is semi-automatic, so the confirmation you are receiving is to confirm you that the process has begun successfully.

Important for Ecuador 🇪🇨#

🇪🇨 Ecuador: Refunds must be requested within 30 days to 6 months of the original transaction date, depending on the processor. Requests submitted after this period will be automatically rejected.
Only one (1) partial refund is allowed per transaction. If a second partial refund is attempted on the same charge, the request will be automatically denied, even if there is a remaining balance.

Request

Path Params

Header Params

Body Params application/json

Examples

Responses

🟢201Created
application/json
Created
Bodyapplication/json

🟠400Bad Request
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request DELETE 'https://api-uat.kushkipagos.com/v1/refund/' \
--header 'Private-Merchant-Id;' \
--header 'Idempotency-Key;' \
--header 'Content-Type: application/json' \
--data '{
    "fullResponse": "v2",
    "amount": {
        "subtotalIva": 500,
        "subtotalIva0": 0,
        "ice": 0,
        "iva": 0,
        "currency": "USD"
    },
    "webhooks": [
        {
            "events": [
                "approvedTransaction"
            ],
            "headers": [
                {
                    "label": "json",
                    "value": "12"
                }
            ],
            "urls": [
                "https://eof2hhkrta4ooo1.m.pipedream.net"
            ]
        }
    ]
}'
Response Response Example
201 - Refund a transaction
{
    "ticketNumber": "661646369681536731",
    "transactionReference": "14d01391-cb66-4b90-bcae-6e3e6b5b2786"
}
Modified at 2026-07-10 20:40:12
Previous
Make a charge or deferred charge
Next
Void a transaction
Built with